#
# spec file for package xdemorse
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


### build with support for perseus-sdr - disabled by default
%bcond_with perseus-sdr

Name:           xdemorse
Version:        3.6.5
Release:        1.47
Summary:        Simple morse decoder for X11
License:        GPL-2.0-only
Group:          Productivity/Hamradio/Morse
URL:            https://www.qsl.net/5b4az/pages/morse.html
Source:         https://www.qsl.net/5b4az/pkg/morse/xdemorse/%{name}-%{version}.tar.bz2
Source1:        https://www.qsl.net/5b4az/pkg/morse/xdemorse/%{name}.png
Patch0:         xdemorse-fix-build.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(alsa)
%if 0%{with perseus-sdr}
BuildRequires:  libperseus-sdr-devel
%endif
BuildRequires:  update-desktop-files

%description
Xdemorse is a simple morse decoder for X11.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fiv
%configure docdir=%{_docdir}/%{name}
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -c xdemorse Xdemorse "morse decoder" xdemorse xdemorse "Network;HamRadio"

%files
%{_bindir}/%{name}
%license COPYING
%doc AUTHORS README
%{_docdir}/%{name}/%{name}.html
%{_docdir}/%{name}/Morsecode.txt
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Wed Nov 10 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- Update to version 3.6.5
  * see /usr/share/doc/packages/xdemorse/README for changelog
  * fixes build for latest relkeases (Leap 15.3 and Tumbleweed)
- Patch xdemorse-fix-build.patch rebased
* Thu Feb 21 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- add minimum version for gtk3
* Tue Jan  8 2019 mardnh@gmx.de
- Update to version 3.6.2
  * see /usr/share/doc/packages/xdemorse/README for changelog
- Specfile cleanup
- Add patch:
  - xdemorse-fix-build.patch
* Wed Mar 15 2017 dl8fcl@darc.de
- updated to version 3.0
* Wed Dec 31 2014 wk@ire.pw.edu.pl
- updated to version 2.9
* Mon Sep 15 2014 wk@ire.pw.edu.pl
- updated to version 2.8
* Fri Apr  4 2014 wk@ire.pw.edu.pl
- updated to version 2.7
* Wed Oct  9 2013 wk@ire.pw.edu.pl
- updated to version 2.5
* Fri Feb  3 2012 wk@ire.pw.edu.pl
- updated to version 2.3
- some cleanup to spec file
* Thu Aug  5 2010 dl8fcl@darc.de
- updated to version 2.1
- desktop file, icon and README_openSUSE added
* Fri Apr 17 2009 dl9pf@gmx.de
- updated to new version
* Sat Oct  4 2008 dl8fcl@darc.de
- updated for openSUSE_Factory
